org.apache.ignite.internal.commandline

## Enum Command

- java.lang.Object
- - java.lang.Enum<Command>
  - - org.apache.ignite.internal.commandline.Command

All Implemented Interfaces:
  Serializable, Comparable<Command>

    public enum Command
    extends Enum<Command>

Command.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVATE`
`BASELINE`
`CACHE`
`DEACTIVATE`
`STATE`
`TX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Command` `of(String text)`
`String` `text()`
`static Command` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Command[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVATE

    public static final Command ACTIVATE

#### DEACTIVATE

    public static final Command DEACTIVATE

#### STATE

    public static final Command STATE

#### BASELINE

    public static final Command BASELINE

#### TX

    public static final Command TX

#### CACHE

    public static final Command CACHE

### Method Detail

#### values

    public static Command[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Command c : Command.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Command valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static Command of(String text)

Parameters:
  `text` - Command text.
Returns:
  Command for the text.

#### text

    public String text()

Returns:
  Command text.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018